# TdApi.AnswerShippingQuery (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: AnswerShippingQuery

Package it.tdlight.jni

# Class TdApi.AnswerShippingQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.AnswerShippingQuery

Enclosing class:
  TdApi

    public static class TdApi.AnswerShippingQuery
    extends TdApi.Function

Sets the result of a shipping query; for bots only.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `errorMessage` | An error message, empty on success.
`TdApi.ShippingOption[]` | `shippingOptions` | Available shipping options.
`long` | `shippingQueryId` | Identifier of the shipping query.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AnswerShippingQuery()` | Sets the result of a shipping query; for bots only.
`AnswerShippingQuery​(long shippingQueryId, TdApi.ShippingOption[] shippingOptions, String errorMessage)` | Sets the result of a shipping query; for bots only.
`AnswerShippingQuery​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### shippingQueryId

public long shippingQueryId
Identifier of the shipping query.

### shippingOptions

public TdApi.ShippingOption[] shippingOptions
Available shipping options.

### errorMessage

public String errorMessage
An error message, empty on success.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### AnswerShippingQuery

public AnswerShippingQuery()
Sets the result of a shipping query; for bots only.

Returns `Ok`

### AnswerShippingQuery

public AnswerShippingQuery​(long shippingQueryId, TdApi.ShippingOption[] shippingOptions, String errorMessage)
Sets the result of a shipping query; for bots only.

Returns `Ok`

Parameters:
  `shippingQueryId` - long Identifier of the shipping query.
  `shippingOptions` - ShippingOption[] Available shipping options.
  `errorMessage` - String An error message, empty on success.

### AnswerShippingQuery

public AnswerShippingQuery​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`